/* START NEW CSS */
.popup {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #fff;
  padding: 20px;
  border-radius: 15px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  z-index: 1000;
  color: #333; /* Set text color for the popup */
  max-height: 90vh;
  overflow-y: auto;
}

.popup.show {
  display: block;
}

.popup-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 999;
}

.popup-overlay.show {
  display: block;
}

.close-btn {
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
}

.image-container {
    display: flex;
    flex-direction: column;
    justify-self: center;
}

.image-group {
    margin-bottom: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.image-button {
    width: 100%;
    min-width:240px;
    max-width: 50vw;
    margin-bottom: 5px;
}

.page-image {
    max-height: 80vh;
    width: auto;
    cursor: pointer;
    justify-self: center;
}
/* END NEW CSS */